package com.hzya.frame.sysnew.user.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.sysnew.userCompany.entity.SysUserCompanyEntity;
import com.hzya.frame.sysnew.userRoles.entity.SysUserRolesEntity;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * 用户表(SysUser)实体类
 *
 * @author makejava
 * @since 2024-03-26 15:27:45
 */
public class SysUserEntity extends BaseEntity {

    /**
     * 外键人员ID
     */
    private String personId;
    /**
     * 登录账号
     */
    private String loginCode;
    /**
     * 登录密码
     */
    private String password;

    /**
     * 老登录密码
     */
    private String OldPassword;
    /**
     * 盐
     */
    private String salt;
    /**
     * 最后登录时间
     */
    private Date lastLoginTime;
    /**
     * 最后链接时间
     */
    private Date lastConnectionTime;
    /**
     * 登录IP地址
     */
    private String lastLoginIp;
    /**
     * 状态：0 启用 1 停用
     */
    private String state;
    /**
     * 备注
     */
    private String remark;
    /**
     * 公司id
     */
    private String companyId;

    //用户公司
    private List<SysUserCompanyEntity> userCompanys;
    //用户角色
    private List<SysUserRolesEntity> userRoles;
    /**
     * 人员姓名
     */
    private String personName;
    //编码
    private String personCode;
    /**
     * 关联组织机构名称
     */
    private String organName;
    /**
     * 关联组织机构名称
     */
    private String organId;
    /**
     * 手机号码
     */
    private String mobilePhone;

    private String ddUserId;

    private String wxUserId;

    //sys_flow模块用
    private String flowClassId;

    public String getDdUserId() {
        return ddUserId;
    }

    public void setDdUserId(String ddUserId) {
        this.ddUserId = ddUserId;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public String getLoginCode() {
        return loginCode;
    }

    public void setLoginCode(String loginCode) {
        this.loginCode = loginCode;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public Date getLastConnectionTime() {
        return lastConnectionTime;
    }

    public void setLastConnectionTime(Date lastConnectionTime) {
        this.lastConnectionTime = lastConnectionTime;
    }

    public String getLastLoginIp() {
        return lastLoginIp;
    }

    public void setLastLoginIp(String lastLoginIp) {
        this.lastLoginIp = lastLoginIp;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public List<SysUserCompanyEntity> getUserCompanys() {
        return userCompanys;
    }

    public void setUserCompanys(List<SysUserCompanyEntity> userCompanys) {
        this.userCompanys = userCompanys;
    }

    public List<SysUserRolesEntity> getUserRoles() {
        return userRoles;
    }

    public void setUserRoles(List<SysUserRolesEntity> userRoles) {
        this.userRoles = userRoles;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getOldPassword() {
        return OldPassword;
    }

    public void setOldPassword(String oldPassword) {
        OldPassword = oldPassword;
    }

    public String getPersonCode() {
        return personCode;
    }

    public void setPersonCode(String personCode) {
        this.personCode = personCode;
    }

    public String getFlowClassId() {
        return flowClassId;
    }

    public void setFlowClassId(String flowClassId) {
        this.flowClassId = flowClassId;
    }
}

